swept_tone.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct swept_tone_state_s | swept_tone_state_t

## Functions

swept_tone_state_t * | swept_tone_init (swept_tone_state_t *s, float start, float end, float level, int duration, int repeating)
int | swept_tone (swept_tone_state_t *s, int16_t amp[], int len)
float | swept_tone_current_frequency (swept_tone_state_t *s)
int | swept_tone_release (swept_tone_state_t *s)
int | swept_tone_free (swept_tone_state_t *s)